Error encountered while QCing

Hello there,

I’m an absolute novice in using QIIME2 and have been stuck at the QC step for days with this consistent error. I’d be grateful if anyone could please take a look and tell me what the issue is.

Firstly here’s the code:
qiime dada2 denoise-paired
–i-demultiplexed-seqs paired-end-demux.qza
–p-trim-left-f 3
–p-trim-left-r 4
–p-trunc-len-f 61
–p-trunc-len-r 67
–o-table table.qza
–verbose
–o-representative-sequences rep_seqs.qza
–o-denoising-stats denoising_stats.qza

And the error as obtained:

QIe(**view_args) your current deployment for improved performance. This may take a few moments and should only happen once per deployment.
Error: near line 1: attempt to write a readonly database

Please verify that both the operating system and the processor support Intel® F16C and AVX instructions.

Traceback (most recent call last):
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 264, in denoise_paired
run_commands([cmd])
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/subprocess.py”, line 438, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, ‘/work/12464887.tmpdir/tmpkvdf_rl5/forward’, ‘/work/12464887.tmpdir/tmpkvdf_rl5/reverse’, '/work/12464887.tmpdir/tmpkvdf_rl5/output.ts$
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in denoise_paired
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/software/hprc/Anaconda/3-5.0.0.1/envs/qiime2-2020.6/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 279, in denoise_paired
" and stderr to learn more." % e.returncode)

Hi @alishayan

I am not really sure what the problem is, but this particular warning stands out to me:

What type of system (i.e. operating system / computer hardware) are you running? Are the CPUs Intel, AMD, something else?

-Mike

Thanks for responding.

The system is Intel® Core™2 Duo CPU. The OS is Windows 10

Do you suggest I run it in a different system?

I just ran the same on a Mac, got the same error. Not sure if the OS or system of choice is the cause.

@alishayan, have you been able to get any of the tutorials to work prior to trying to run your own data?

Also, I just realized that these are really short sequences:

What gene are you working with? How long are you expecting your merged reads to be? I am wondering if there is enough overlap to merge these very short reads.

-Best
-Mike

Hi @SoilRotifer I'm working with bacterial samples and I did go through the tutorial section. I feel something is amiss. I'm attaching a copy of my .qzv file output as obtained after the demultiplexing step. Pl take a look.

Hi @alishayan,

Thank you for confirming that QIIME 2 was able to run through the tutorial data on your system successfully. I was concerned given your previous error messages:

and wanted to make sure it was not an install / system implementation issue. So, we can start the process of determining which aspects of your pipeline need to be addressed.

That does not look right to me either. What processing steps were performed prior to the DADA2 step, as outlined in your initial post?

-Mike

Importing of data into a .qza format and creating a manifest file to facilitate the same.

Here’s the code:

$ qiime tools import --type ‘SampleData[PairedEndSequencesWithQuality]’
–input-path manifest.csv
–output-path paired-end-demux.qza
–input-format PairedEndFastqManifestPhred33

$ qiime demux summarize
–i-data paired-end-demux.qza
–o-visualization demux

Were the sequences preprocessed in anyway prior to importing into QIIME 2? I am suspicious given those quality plots. Hopefully, others will have some insight.

1 Like

No there wasn’t any preprocessing involved. The forward and reverse reads was directly used as obtained from the sequencing institute.

Would you suggest some preprocessing to help with the quality scores or is there something else that is wrong?

But did they do any preprocessing of the data prior to “handing it off” to you? I always explicitly ask sequencing facilities to provide me the raw data as it comes off the machine. It is possible that the sequencing facility provided you with “cleaned” data. If that is not the case, then those are quite interesting quality score plots… I’m not sure what I’d recommend. :man_shrugging:

-Mike

@alishayan, Can you respond to the question I asked earlier:

I am curious if the errors we see may be unanticipated errors stemming the inability to merge your paired-ends due to lack of overlap.

-Mike

I get your point. I would check with the sequencing facility folks to let you know. I’d guess though that there wasn’t any major preprocessing involved before they handled the data. But I’d still double check. Thanks!

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.